D4Science Infrastructure - Task #3132

Increase RAM on access.d4science.org VM
Apr 04, 2016 06:19 PM - Roberto Cirillo

Status: Closed Start date: Apr 04, 2016
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: improve access.d4science.org

Infrastructure: Development

Description

I've found a

java.lang.OutOfMemoryError: Java heap space

on the gCore container that hosts the data-transfer service in dev environment.
Now we have 2 GB of RAM and a heap defined as follow:

-Xms1200M —-Xmx2048M

is it possible to add 2 GB of RAM as done for other data-transfer instances deployed in production environment?
This vm will become a production VM

History

#1 - Apr 04, 2016 06:54 PM - Andrea Dell'’Amico

- Status changed from New to In Progress

#2 - Apr 04, 2016 06:58 PM - Andrea Dell'’Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 80

Let me know when it can be restarted.

#3 - Apr 05, 2016 10:24 AM - Roberto Cirillo

If you are ready, you could restart the VM: now it's running in dev environment. After your restart, I'm going to increase the heap size and restart the
container.

#4 - Apr 05, 2016 10:55 AM - Roberto Cirillo

- Target version changed from UnSprintable to improve access.d4science.org

#5 - Apr 05, 2016 11:58 AM - Roberto Cirillo
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

The container has been restarted with the following heap configuration:

-Xms2048M -Xmx4000M
